OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_LabelArray1 Class Reference

`#include <TDataStd_LabelArray1.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_LabelArray1 (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TDataStd_LabelArray1 (const TDF_Label &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const TDF_Label &V)
Standard_EXPORT void | Destroy ()
| ~TDataStd_LabelArray1 ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TDataStd_LabelArray1 & | Assign (const TDataStd_LabelArray1 &Other)
const TDataStd_LabelArray1 & | operator= (const TDataStd_LabelArray1 &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const TDF_Label &Value)
const TDF_Label & | Value (const Standard_Integer Index) const
const TDF_Label & | operator() (const Standard_Integer Index) const
TDF_Label & | ChangeValue (const Standard_Integer Index)
TDF_Label & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | TDataStd_LabelArray1 (const TDataStd_LabelArray1 &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_LabelArray1::TDataStd_LabelArray1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TDataStd_LabelArray1::TDataStd_LabelArray1 | ( | const TDF_Label & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TDataStd_LabelArray1::~TDataStd_LabelArray1 | ( |  | ) | `[inline]`

Standard_EXPORT TDataStd_LabelArray1::TDataStd_LabelArray1 | ( | const TDataStd_LabelArray1 & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TDataStd_LabelArray1& TDataStd_LabelArray1::Assign | ( | const TDataStd_LabelArray1 & | Other | ) |

TDF_Label& TDataStd_LabelArray1::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TDataStd_LabelArray1::Destroy | ( |  | ) |

Standard_EXPORT void TDataStd_LabelArray1::Init | ( | const TDF_Label & | V | ) |

Standard_Boolean TDataStd_LabelArray1::IsAllocated | ( |  | ) | const

Standard_Integer TDataStd_LabelArray1::Length | ( |  | ) | const

Standard_Integer TDataStd_LabelArray1::Lower | ( |  | ) | const

void TDataStd_LabelArray1::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_LabelArray1::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_LabelArray1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_Label& TDataStd_LabelArray1::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const TDF_Label& TDataStd_LabelArray1::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TDataStd_LabelArray1& TDataStd_LabelArray1::operator= | ( | const TDataStd_LabelArray1 & | Other | ) | `[inline]`

void TDataStd_LabelArray1::SetValue | ( | const Standard_Integer | Index,
|  | const TDF_Label & | Value
| ) |

Standard_Integer TDataStd_LabelArray1::Upper | ( |  | ) | const

const TDF_Label& TDataStd_LabelArray1::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TDataStd_LabelArray1::isAllocated`[private]`

Standard_Integer TDataStd_LabelArray1::myLowerBound`[private]`

Standard_Address TDataStd_LabelArray1::myStart`[private]`

Standard_Integer TDataStd_LabelArray1::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- TDataStd_LabelArray1.hxx